GrailsAwareInjectionOperation (Grails 5.1.2)

Package: org.grails.compiler.injection

## [Java] Class GrailsAwareInjectionOperation

- org.grails.compiler.injection.GrailsAwareInjectionOperation

-     public class GrailsAwareInjectionOperation
      extends CompilationUnitPrimaryClassNodeOperation

  A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAwareInjectionOperation ()`
    `GrailsAwareInjectionOperation (ClassInjector[] classInjectors)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public int` | `compare(ClassInjector classInjectorA, ClassInjector classInjectorB)`
    `` | `public static ClassInjector[]` | `getClassInjectors()`
    `` | `public static ClassInjector[]` | `getGlobalClassInjectors()`
    `` | `public ClassInjector[]` | `getLocalClassInjectors()`
    `` | `public AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`

- - ### Constructor Detail

    - #### public GrailsAwareInjectionOperation()

    - #### public GrailsAwareInjectionOperation(ClassInjector[] classInjectors)

  - ### Method Detail

    - #### @java.lang.Override public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public int compare(ClassInjector classInjectorA, ClassInjector classInjectorB)

    - #### public static ClassInjector[] getClassInjectors()

    - #### public static ClassInjector[] getGlobalClassInjectors()

    - #### public ClassInjector[] getLocalClassInjectors()

    - #### @java.lang.Override public AnnotationVisitor visitAnnotation(java.lang.String desc, boolean visible)